mqtt_connect_client_info_t Struct Reference
Applications » MQTT client

`#include <mqtt.h>`

## Data Fields

const char * | client_id
const char * | client_user
const char * | client_pass
u16_t | keep_alive
const char * | will_topic
const char * | will_msg
u8_t | will_msg_len
u8_t | will_qos
u8_t | will_retain
struct altcp_tls_config * | tls_config

## Detailed Description

Client information and connection parameters

## Field Documentation

## client_id

const char* mqtt_connect_client_info_t::client_id

Client identifier, must be set by caller

## client_pass

const char* mqtt_connect_client_info_t::client_pass

Password, set to NULL if not used

## client_user

const char* mqtt_connect_client_info_t::client_user

User name, set to NULL if not used

## keep_alive

u16_t mqtt_connect_client_info_t::keep_alive

keep alive time in seconds, 0 to disable keep alive functionality

## tls_config

struct altcp_tls_config* mqtt_connect_client_info_t::tls_config

TLS configuration for secure connections

## will_msg

const char* mqtt_connect_client_info_t::will_msg

will_msg, see will_topic

## will_msg_len

u8_t mqtt_connect_client_info_t::will_msg_len

will_msg length, 0 to compute length from will_msg string

## will_qos

u8_t mqtt_connect_client_info_t::will_qos

will_qos, see will_topic

## will_retain

u8_t mqtt_connect_client_info_t::will_retain

will_retain, see will_topic

## will_topic

const char* mqtt_connect_client_info_t::will_topic

will topic, set to NULL if will is not to be used, will_msg, will_qos and will retain are then ignored

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/mqtt.h